'use strict';
const template = require('./template');
const basePath = require('./../path');
const fileHelper = require('./../fileHepler');

const utils = require('./../lib/utils');
let {
  beautifyFile,
} = utils;

/**
 * @description 生成忽略文件
 * @param fileNames 忽略文件
 * @param baseDir 忽略BaseURL路径
 * @returns {Promise<unknown>}
 */
const gitIgnore = (fileNames, baseDir)=>{
  return new Promise((resolve, reject)=>{
    let gitText = template(
      basePath.buildTemplateDirectory + '/coder/gitignore.txt',
      {
      fileNames
    });
    gitText = beautifyFile(gitText, 'html_beautify');
    fileHelper.writeFile(`${baseDir}/.gitignore`, gitText)
      .then(res=>{
        resolve()
      })
      .catch(error=>{
        reject()
      })
  })
};

module.exports = gitIgnore;

