'use strict';
const viewsSchemas = require('./../../../../viewsSchemas');
const {
  corders
} = viewsSchemas;

module.exports = {
  name: 'corders',
  title: '订单管理',
  vuex: true,
  model: [
    {
      mapFn: 'getByIdOrders',
      isRule: false,
      title: '获取详情',
      path: corders.getByIdOrders,
      params : {
        account: ['账号', 'String', '必选'],
        password: ['密码', 'String', '必选'],
        type: ['登录类型', 'String|Number', '必选'],
        uuid: ['登录类型', 'String|Number', '必选', '12345675432'],
      },
      disabled: true,
      role: 'getByIdOrders',
    },
    {
      mapFn: 'getListOrders',
      isRule: false,
      title: '获取列表',
      path: corders.getListOrders,
      params: {
        account: ['账号', 'String', '必选'],
        password: ['密码', 'String', '必选'],
        type: ['登录类型', 'String|Number', '必选'],
        uuid: ['登录类型', 'String|Number', '必选', '12345675432'],
      },
      disabled: true,
      role: 'getListOrders',
    },
  ],
}


